
QGIS Application - Bug report #13599

Bug in debian qgis.desktop

2015-10-14 04:17 AM - Andy Wood

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: SMP Debian 4.2.1-2 (2015-09-27) x86_64 GNU/LinuxEasy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 21641

Description

qgis.desktop says:

[...]

TryExec=/usr/bin/qgis

Exec=/usr/bin/qgis %F

The binary appears to be called /usr/bin/qgis.bin now?

This bug means that qgis can only currently be run by using the command /usr/bin/qgis.bin

Related issues:

Duplicates QGIS Application - Bug report # 13485: QGIS desktop launcher does ... Closed 2015-10-01

Duplicates QGIS Application - Bug report # 13310: nightly build packages fail... Closed 2015-09-01

History

#1 - 2015-10-14 06:33 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #13485

#2 - 2015-10-15 01:51 AM - Andy Wood

- Status changed from Closed to Reopened

The fix for this does not seem to be in master?

$ git log --follow debian/qgis.desktop | head

commit e9f43c49095535dfa06f7ff8c069a4ad2715932e

Author: Juergen E. Fischer <jef@norbit.de>

Date:   Sat Apr 5 20:01:21 2014 +0200

debian packaging update: merge downstream debian changes

commit 15539f34ce1ca9255bdc982c75d8bcac016f7cf6

Author: Juergen E. Fischer <jef@norbit.de>

Date:   Thu May 30 16:00:40 2013 +0200
#3 - 2015-10-15 09:48 AM - Jürgen Fischer

- Status changed from Reopened to Closed

Andy Wood wrote:

The fix for this does not seem to be in master?

qgis.desktop didn't need to be changed.  The diversion was broken in an update.  There always should be /usr/bin/qgis (but if the grass plugin is installed -

and for a while the grass provider - /usr/bin/qgis is a wrapper script that calls /usr/bin/qgis.bin;  See #13485).  If you don't have /usr/bin/qgis your qgis grass

package are probably in some broken state.  I'd try purging and reinstalling the packages.
